# Gridlock - a collection of grid-based strategy games
# Copyright (c) 2009 Brian Nenninger (brian@dozingcatsoftware.com)
# Gridlock comes with ABSOLUTELY NO WARRANTY, and is released under version 3 of the GNU GPL.

import LineGame
import PGOpenGLUtils
import Preferences

# this module isn't used directly, but can be imported by games like Gomoku and ConnectFour

def in_winning_line(state, coord):
    return state.grid[coord]>0 and any(LineGame.lines_through_position(state.grid, coord, state.win_length()))

def draw_winner_overlay(state, coord, scale):
    color = Preferences.prefs.player_color(state.grid[coord])
    PGOpenGLUtils.draw_cube_overlay(coord, color, scale, 0.6)
    
# highlight cells in a winning line
def postDrawCell(state, coord, scale):
    if in_winning_line(state, coord):
        draw_winner_overlay(state, coord, scale)
